RetroArch 3DS is almost unusable

Discussion in '3DS - Homebrew Development and Emulators' started by szymon170, Jul 12, 2016.

  1. szymon170
    OP

    szymon170 Pr0FessiuNal HelPeR wiTh HaxXX

    Member
    372
    109
    Jan 2, 2016
    Poland
    Where I live
    I've previously installed RetroArch and it was really nice, it was a superb emulator. But I haven't updated it. I thought that update will bring something new to the emulator and it will be faster. And I was wrong. Now there is massive screen tearing (even though I have VSync turned on) and the controls don't always work (for example in Super Mario All-Stars they work until I open some game (like Super Mario World). They still work on menu of SMW, but when I will start playing I'm stuck on opening cutscene (Welcome to the dinosaur land). I thought that installing .cia version might fix the problem. It didn't. It's the same as it was before. But when I select close with the .cia version not only the emulated game closes, but the core closes too, so I need to restart the emulator to change game. And when I've installed the .cia version I have many icons of emulators, but there aren't any names, so I need to open them with my intuition.

    Am I the only one with these problems? If yes, then how can I fix them?
    I'm using New 3DS with Luma3DS A9LH with version 11.0.0-33E.
     
  2. Greymane

    Greymane Lurking gbatemp pony

    Member
    464
    170
    Jul 7, 2015
    Netherlands
    In your closet, watching you clop
    Have you fully reinstalled retroarch? fully deleting the emulators and the retroarch folders and then installing them again?
    EDIT: If not, it might solve your issue.
     
  3. szymon170
    OP

    szymon170 Pr0FessiuNal HelPeR wiTh HaxXX

    Member
    372
    109
    Jan 2, 2016
    Poland
    Where I live
    Yes, I've tried that.
     
  4. Greymane

    Greymane Lurking gbatemp pony

    Member
    464
    170
    Jul 7, 2015
    Netherlands
    In your closet, watching you clop
    From wich date are the .CIA files you used? Sometimes are still busy with a part of code, when it gets uploaded through buildbot. You could try the ones from yesterday, they work for me atleast.
     
  5. szymon170
    OP

    szymon170 Pr0FessiuNal HelPeR wiTh HaxXX

    Member
    372
    109
    Jan 2, 2016
    Poland
    Where I live
    I don't remember, I've downloaded them probably 2-3 days ago.
     
  6. TechyTurtle

    TechyTurtle GBAtemp Fan

    Member
    309
    53
    Jan 23, 2016
    United States
    MY ASS!
    you probably used a nightly build then make sure it says stable build google retroarch stable builds for 3ds and you will find it
     
  7. Juray

    Juray Newbie

    Newcomer
    5
    0
    Jan 11, 2016
    You should always make backups of whatever you are updating, and write down the version you're updating from. That way you can be sure games will work.

    That being said, I just started using retroarch gpsp a week ago, and noticed some screen tearing on the left side. Try turning on GPU sync or the 2xSaI filter, or both. That somewhat helped. And do a full reinstall - just use a stable build.

    Emulators in .cia format also work better, in my experience.
     
  8. coinblock

    coinblock GBAtemp Regular

    Member
    215
    92
    Sep 4, 2015
    Install the 1.3.3. stable release. Retroarch 3ds has a lot of great emulators to offer (pocketsnes, picodrive, nestopia, FBA Neo, etc) but is still very user-unfriendly and lacks many important features like core-specific configs or button remapping in certain cores, and there are still many leftover config settings that are useless on 3ds. Also lots of screen tearing and gpsp instability in recent builds. But despite its problems, the devs have done some great work here. I just hope they're not finished with the 3ds yet.

    If you play SMW on CATSFC(+), due to an old bug you'll need to swap the controller slot before the controls work. Check 'core options' for a workaround. Or, just use PocketSNES because it's the best.
     
    Last edited by coinblock, Jul 12, 2016
  9. TimX24968B

    TimX24968B "That guy"

    Member
    1,382
    281
    Oct 28, 2015
    United States
    Nowhere
    download the stables, not the nightlies
     
  10. szymon170
    OP

    szymon170 Pr0FessiuNal HelPeR wiTh HaxXX

    Member
    372
    109
    Jan 2, 2016
    Poland
    Where I live
    Sorry, I've totally forgot about this thread. I've previously got the stable version. I've reinstalled it, and I've downloaded the stable version, and the problems that I have are still the same.
     
  11. TimX24968B

    TimX24968B "That guy"

    Member
    1,382
    281
    Oct 28, 2015
    United States
    Nowhere
    which emulator are you using in particular that is showing these issues?
     
  12. Townsperson

    Townsperson GBAtemp Fan

    Member
    398
    272
    Dec 7, 2015
    United States
    Use stable 1.3.3. Every version after this has had screen tearing issues.
     
  13. Player-1

    Player-1 Advanced Member

    Newcomer
    51
    25
    Jul 18, 2016
    United States
    if you wanna play the snes super mario games (allstars, smw) you need to swap controllers, which you can only do on catsfc/catsfc+. to do so go to settings > configuration and switch on 'use per-game core options if available', load either one of those games, then from the quick menu go into core options and switch 'swap joypads' to enable. highlight 'create game-options file' and press a, now you'll be able to play those games normally.
     
    Last edited by Player-1, Jul 19, 2016
  14. szymon170
    OP

    szymon170 Pr0FessiuNal HelPeR wiTh HaxXX

    Member
    372
    109
    Jan 2, 2016
    Poland
    Where I live
    Every emulator that I'm using shows these issues.
    This includes:
    Fceumm
    Catsfc+
    PocketSNES
    And is this normal that when I'm using .cia Retroarch files and I close game with option close it automatically closes the core too (which leaves me with Retroarch without loaded core)?

    EDIT:
    Have you tested the new 1.3.6 build? Maybe it fixes some problems?
     
  15. pdapanda

    pdapanda GBAtemp Advanced Fan

    Member
    713
    254
    Nov 19, 2014
    Switzerland
    stop using anything newer than 1.3.3 release,nobody is maintaining it for 3ds,and so—called stable releases are still nightlies,they just name nightlies to stable release.


    the emulators will just be broken and more broken.nearly every change they made for other platfoms will break something for 3ds.
     
    Last edited by pdapanda, Jul 19, 2016
  16. szymon170
    OP

    szymon170 Pr0FessiuNal HelPeR wiTh HaxXX

    Member
    372
    109
    Jan 2, 2016
    Poland
    Where I live
    EDIT:
    LOL I have replied to the wrong thread :D

    Ok, I will use version 1.3
     
    Last edited by szymon170, Jul 19, 2016